


// Name
//===================================
//
// AvoidWallsGoal
//


// DEPENDENCIES
//===================================

    #include "avoid_walls_goal.h"
    #include "player_sprite.h"


// STATIC PROPERTIES
//===================================


// METHODS
//===================================

    AvoidWallsGoal::AvoidWallsGoal()
    :
        Goal( "¡Don't bump into any walls!", GoalType::AVOID_WALLS )
    {};

    AvoidWallsGoal::~AvoidWallsGoal() {};

    void AvoidWallsGoal::update( PlayerSprite& hero, Inventory& inventory, EventSystem& events )
    {
        if ( hero.collidedRight() )
            hero.kill();

        hero.cant_stop_ = true;
        hero.run();
        hero.moveRight();
    };
