

// Name
//===================================
//
// BlockComponent
//

#ifndef BLOCK_COMPONENT_H
#define BLOCK_COMPONENT_H


// FORWARD DECLARATIONS
//===================================

    class Block;
    class Camera;
    class Collision;
    class EventSystem;
    class Inventory;
    class GameState;
    class Level;
    class Sprite;


// DEPENDENCIES
//===================================


// CLASS
//===================================

    class BlockComponent
    {
        public:
            BlockComponent();
            virtual ~BlockComponent();
            virtual void interact( Collision& collision, Sprite& sprite, Block& block, Level& level, EventSystem& events, Inventory& inventory, Camera& camera ) = 0;
    };

#endif // BLOCK_COMPONENT_H

