

// Name
//===================================
//
// CollectGoal
//


// DEPENDENCIES
//===================================

    #include "collect_goal.h"
    #include "event_system.h"
    #include "inventory.h"
    #include "text.h"


// STATIC PROPERTIES
//===================================


// METHODS
//===================================

    CollectGoal::CollectGoal( int amount_needed )
    :
        Goal( "", GoalType::COLLECT, amount_needed )
    {
        message_ = (std::string)"¡Collect " + Text::formatNumCommas( Text::stringifyNum( amount_needed ) ) + (std::string)"\t!";
    };

    CollectGoal::~CollectGoal() {};

    void CollectGoal::update( PlayerSprite& hero, Inventory& inventory, EventSystem& events )
    {
        if ( inventory.funds() >= value() )
            events.won_ = true;
    };
