
// Name
//===================================
//
// PlayerSprite
//

#ifndef PLAYER_SPRITE_H
#define PLAYER_SPRITE_H


// FORWARD DECLARATIONS
//===================================

    class Block;
    class Input;
    class Sprite;


// DEPENDENCIES
//===================================

    #include "sprite.h"
    #include "timers/timer_simple.h"


// CLASS
//===================================

    class PlayerSprite : public Sprite
    {
        public:
            PlayerSprite( int x, int y );
            ~PlayerSprite();
            void customUpdate( Input& input, Camera& camera, Map& lvmap, Game& game, EventSystem& events );
            void customInteract( Collision& my_collision, Collision& their_collision, Sprite& them );

            bool cant_stop_ = false;
    };


#endif // PLAYER_SPRITE_H
