


// Name
//===================================
//
// Tileset
//


#ifndef TILESET_H
#define TILESET_H


// FORWARD DECLARATIONS
//===================================

    class BlockType;


// DEPENDENCIES
//===================================

    #include "sprite.h"
    #include <vector>


// CLASS
//===================================

    class Tileset
    {
        public:
            Tileset();
            ~Tileset();

            BlockType* blockType( int n ) const;

        private:
            std::vector<BlockType*> block_types_;

            void clearBlockTypes();
    };

#endif // TILESET_H
