





// Name
//===================================
//
// WindyGoal
//

#ifndef WINDY_GOAL_H
#define WINDY_GOAL_H


// FORWARD DECLARATIONS
//===================================


// DEPENDENCIES
//===================================

    #include "direction.h"
    #include "goal.h"
    #include "sprite.h"


// CLASS
//===================================

    class WindyGoal : public Goal
    {

        public:
            WindyGoal( Direction::Horizontal direction = Direction::Horizontal::LEFT, unsigned int wind_strength = Sprite::RESISTANCE_X_WINDY );
            ~WindyGoal();

            void update( PlayerSprite& hero, Inventory& inventory, EventSystem& events );
    };

#endif // WINDY_GOAL_H
