



// Name
//===================================
//
// AvoidMoneyGoal
//


// DEPENDENCIES
//===================================

    #include "avoid_money_goal.h"
    #include "event_system.h"
    #include "inventory.h"


// STATIC PROPERTIES
//===================================


// METHODS
//===================================

    AvoidMoneyGoal::AvoidMoneyGoal()
    :
        Goal( "¡Don't touch any money!", GoalType::AVOID_MONEY )
    {};

    AvoidMoneyGoal::~AvoidMoneyGoal() {};

    void AvoidMoneyGoal::update( PlayerSprite& hero, Inventory& inventory, EventSystem& events )
    {
        if ( inventory.funds() > 0 )
            events.failed_ = true;
    };
