



// Name
//===================================
//
// Tileset
//


// DEPENDENCIES
//===================================

    #include "block_type.h"
    #include "tileset.h"


// STATIC PROPERTIES
//===================================


// METHODS
//===================================

    Tileset::Tileset() {};
    Tileset::~Tileset() { clearBlockTypes(); };

    BlockType* Tileset::blockType( int n ) const
    {
        if ( n > -1 && n < block_types_.size() )
        {
            return block_types_[ n ];
        }
        else
        {
            return nullptr;
        }
    };

    void Tileset::clearBlockTypes()
    {
        for ( int i = 0; i < block_types_.size(); ++i )
        {
            delete block_types_[ i ];
            block_types_[ i ] = nullptr;
        }
    };
