




// Name
//===================================
//
// WindyGoal
//


// DEPENDENCIES
//===================================

    #include "windy_goal.h"
    #include "sprite.h"


// STATIC PROPERTIES
//===================================


// METHODS
//===================================

    WindyGoal::WindyGoal( Direction::Horizontal direction, unsigned int wind_strength )
    :
        Goal( "O, fun: a lazy wind gimmick.", GoalType::WINDY )
    {
        if ( direction == Direction::Horizontal::RIGHT )
            value_ = wind_strength;
        else
            value_ = -wind_strength;
    };

    WindyGoal::~WindyGoal() {};

    void WindyGoal::update( PlayerSprite& hero, Inventory& inventory, EventSystem& events )
    {
        Sprite::resistance_x_ = value();
    };
